/*
	TransSkel demonstration:  Minimal application

	This program does nothing but put up an Apple menu with desk
	accessories, and a File menu with a Quit item.  The user can
	run DA's until Quit is selected or command-Q is typed.

	The project should include this file, TransSkel.c (or a project
	built from TransSkel.c), and MacTraps.

	21 Apr 1988	Paul DuBois
	29 Jan 1989 Conversion for TransSkel 2.0.  Integer should be a
				typedef for compiler 2-byte integer type.
*/

# include	<MenuMgr.h>
# define	nil	0L

typedef	int	Integer;


DoFileMenu (item)
Integer	item;						/* ignored - there's only Quit */
{
	SkelWhoa ();					/* tell SkelMain to quit */
}


main ()
{
MenuHandle	m;

	SkelInit (6, nil);				/* initialize */
	SkelApple (nil, nil);			/* handle desk accessories */
	m = NewMenu (2, "\pFile");		/* create menu */
	AppendMenu (m, "\pQuit/Q");
	(void) SkelMenu (m, DoFileMenu, nil, true);	/* trivial menu handler */
	SkelMain ();					/* loop 'til Quit selected */
	SkelClobber ();					/* clean up */
}
